spot 2.2.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | List of all members
spot::internal::all_edge_iterator< Graph > Class Template Reference
Inheritance diagram for spot::internal::all_edge_iterator< Graph >:
Collaboration diagram for spot::internal::all_edge_iterator< Graph >:

## Public Member Functions
| all_edge_iterator (unsigned pos, tv_t &tv) noexcept
| all_edge_iterator (tv_t &tv) noexcept
all_edge_iterator & | operator++ ()
all_edge_iterator | operator++ (int)
bool | operator== (all_edge_iterator o) const
bool | operator!= (all_edge_iterator o) const
super::reference | operator* ()
const super::reference | operator* () const
const super::pointer | operator-> ()
super::pointer | operator-> () const

The documentation for this class was generated from the following file:

- spot/graph/graph.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.